'use strict';

var domain = 'https://endotech.io/';

var createEndpoint = function createEndpoint(endpoint) {
  return '' + domain + endpoint + '.php';
};

module.exports = {
  authorise: createEndpoint('login'),
  cabinet: createEndpoint('cabinet'),
  commentary: createEndpoint('market-commentary'),
  vitals: createEndpoint('bcvitals'),
  sentiment: createEndpoint('sentiment'),
  exchanges: createEndpoint('exchanges'),
  majors: createEndpoint('majors'),
  marketcap: createEndpoint('marketcap'),
  rankings: createEndpoint('leading-and-lagging'),
  insight: createEndpoint('calculateEye'),
  portfolios: createEndpoint('portfoliosData'),
  coins: createEndpoint('coins')
};